### Function

# GObject Object interface_find_property

since: 2.4

#### Declaration [src]

    GParamSpec*
    g_object_interface_find_property (
      GObjectTypeInterface* g_iface,
      const gchar* property_name
    )

#### Description [src]

Find the `GParamSpec` with the given name for an interface. Generally, the interface vtable passed in as `g_iface` will be the default vtable from g_type_default_interface_ref(), or, if you know the interface has already been loaded, g_type_default_interface_peek().

Available since: 2.4

#### Parameters

`g_iface`

  Type: `GTypeInterface`

  Any interface vtable for the interface, or the default vtable for the interface.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of a property to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GParamSpec`

The `GParamSpec` for the property of the interface with the name `property_name`, or `NULL` if no such property exists.

The data is owned by the called function.